Subject: bug#11807: (Windows XP issue?) Re: bug#11807: M-x display-time-world & EDT/DST

From: Jambunathan K <[email-masked]>
Date: Fri, 29 Jun 2012 14:56:10 +0530

Andreas Schwab <[email-masked]> writes:

> Jambunathan K <[email-masked]> writes:
>
>>> What about (progn (setenv "TZ" "CET-1CEST") (calendar-dst-find-data))?
>>
>> (60 0 "CES" "CES" nil nil 0 0)
>
> That's your problem.  You have a faulty timezone implementation.

Let me replay the same questions and collect data from your system.

What do the below forms report for you.  I assume the TZ works right on
your system.

(format-time-string "%H:%M" nil t)

(progn (require 'cal-dst) (calendar-dst-find-data))

(progn (setenv "TZ" "CET-1CEST") (calendar-dst-find-data))

With my machine re-configured to use a remote timezone (as below)

,---- (Windows XP/Cygwin) Control Panel->"Date and Time" 
| 
|  (GMT-5:00) Eastern Time (US and Canada) and 
|  Automatically adjust clock for daylight saving changes turned ON
| 
|  I also have my "Internet Time" automatically synchronize with
|  time.windows.com time server.
`----

I see that the correct remote time is reported.

It is difficult to digest an argument that a widely used enterprise
system such as Windows XP has an obviously buggy implementation.  It is
quite possible that Emacs is using the platform APIs in wrong manner.

What library call (dll library) that Emacs uses to fetch time info?